Bug 76 - blocking read does not time out using signal handler
: blocking read does not time out using signal handler
Status: RESOLVED FIXED
Product: TORQUE
libtorque
: 3.0.x
: All All
: P5 major
Assigned To: Glen
:
:
:
  Show dependency treegraph
 
Reported: 2010-08-09 16:36 MDT by Will Nolan
Modified: 2011-01-31 13:39 MST (History)
5 users (show)

See Also:


Attachments
patch to enable timing out on blocking read (537 bytes, application/octet-stream)
2010-08-09 16:36 MDT, Will Nolan
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Will Nolan 2010-08-09 16:36:00 MDT
Created an attachment (id=50) [details]
patch to enable timing out on blocking read

As per:

http://www.supercluster.org/pipermail/torqueusers/2010-August/011198.html

A patch for src/lib/Libifl/pbsD_connect.c is attached.  Tested locally and
verified.  Now if the error message is seen in the maui log, at least it will
timeout after 9 seconds (or whatever the timeout value is set to) and be able
to continue.
Comment 1 David Beer 2010-09-21 09:29:12 MDT
Is anyone against applying this patch?
Comment 2 Ken Nielson 2010-09-21 11:53:26 MDT
This patch has been applied to 2.4-fixes, 2.5-fixes and trunk.
Comment 3 Simon Toth 2010-09-21 12:01:40 MDT
Sorry to come so late, but isn't this the exact same bug as this
http://www.clusterresources.com/bugzilla/show_bug.cgi?id=81

If yes, then it should be fixed in send job and not here.